# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/LCSS.pm) perl(CHI.pm) perl(CPAN.pm) perl(Data/Serializer.pm) perl(Devel/StackTrace.pm) perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(IO/Compress/Gzip.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Module/Install.pm) perl(Mojolicious.pm) perl(Net/FTP.pm) perl(POSIX.pm) perl(Parse/CPAN/Meta.pm) perl(Readonly.pm) perl(String/Truncate.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_name Mojo-UserAgent-Cached
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.06
Release: alt1
Summary: Caching, Non-blocking I/O HTTP, Local file and WebSocket user agent
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NI/NICOMEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Mojo::UserAgent::Cached manpage is a full featured caching, non-blocking I/O HTTP, Local file and WebSocket user
agent, with IPv6, TLS, SNI, IDNA, Comet (long polling), keep-alive, connection
pooling, timeout, cookie, multipart, proxy, gzip compression and multiple
event loop support.

It inherits all of the features the Mojo::UserAgent manpage provides but in addition allows you to
retrieve cached content using a the CHI manpage compatible caching engine.

See the Mojo::UserAgent manpage and the section on "USER AGENT" in the Mojolicious::Guides::Cookbook manpage for more.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md
%perl_vendor_privlib/M*

%changelog
* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.06-alt1
- initial import by package builder

